gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::Adder Class Reference
gstreamermm Plugins

A Wrapper for the adder plugin. More...

Inheritance diagram for Gst::Adder:
[legend]
Collaboration diagram for Gst::Adder:
[legend]

List of all members.

## Public Member Functions
virtual | ~Adder ()
GstAdder* | gobj ()
| Provides access to the underlying C GObject.
const GstAdder* | gobj () const
| Provides access to the underlying C GObject.
GstAdder* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::RefPtr< Gst::Caps > > | property_caps ()
| Set target format for mixing (NULL means ANY).
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Caps > > | property_caps () const
| Set target format for mixing (NULL means ANY).
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< Adder > | create ()
| Creates a new adder plugin with a unique name.
static Glib::RefPtr< Adder > | create (const Glib::ustring& name)
| Creates a new adder plugin with the given name.
## Protected Member Functions
| Adder ()
| Adder (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::Adder > | wrap (GstAdder* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the adder plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::Adder::~Adder | ( |  | ) | `[virtual]`

Gst::Adder::Adder | ( |  | ) | `[protected]`

Gst::Adder::Adder | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Adder> Gst::Adder::create | ( |  | ) | `[static]`

Creates a new adder plugin with a unique name.

static Glib::RefPtr<Adder> Gst::Adder::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new adder plugin with the given name.

static GType Gst::Adder::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::Element.

GstAdder* Gst::Adder::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstAdder* Gst::Adder::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstAdder* Gst::Adder::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy< Glib::RefPtr<Gst::Caps> > Gst::Adder::property_caps | ( |  | ) |

Set target format for mixing (NULL means ANY).

Setting this property takes a reference to the supplied GstCaps object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Caps> > Gst::Adder::property_caps | ( |  | ) | const

Set target format for mixing (NULL means ANY).

Setting this property takes a reference to the supplied GstCaps object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::Adder > wrap | ( | GstAdder * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/adder.h